WatchConfig (Grails 3.1.1)
Date: 2016-02-04

Package: org.grails.gradle.plugin.watch

## [Groovy] Class WatchConfig

- org.grails.gradle.plugin.watch.WatchConfig

- All Implemented Interfaces and Traits:
    org.gradle.api.Named

      @groovy.transform.CompileStatic
      @groovy.transform.ToString
      class WatchConfig

  A configuration for watching files for changes

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `directory` The directory to watch
    `java.util.List<java.lang.String>` | `extensions` The file extensions to watch
    `java.lang.String` | `name` The name of the config
    `java.util.List<java.lang.String>` | `tasks` The tasks to execute

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WatchConfig (java.lang.String name)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `tasks(java.lang.String... tasks)` The tasks to trigger when a modification event is received

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.io.File directory

      The directory to watch

    - #### java.util.List<java.lang.String> extensions

      The file extensions to watch

    - #### java.lang.String name

      The name of the config

    - #### java.util.List<java.lang.String> tasks

      The tasks to execute

  - ### Constructor Detail

    - #### WatchConfig(java.lang.String name)

  - ### Method Detail

    - #### void tasks(java.lang.String... tasks)

      The tasks to trigger when a modification event is received

      Parameters:
        `tasks` - The tasks